Subject: [magma] Querier transition based on Group Specific Query?

From: Indranil Bhattacharya <[email-masked]>
Date: Tue, 31 Jan 2012 08:56:50 +0530

>
> Hi,
>
>    In the querier transition state machine, RFC 2236 only mentions 'Query'
> and does not specify GQ or GSQ. Can a querier transition take place based
> on GSQ? Or is it okay to for a querier to ignore GSQ? Can anyone please
> help me with this?
>
> Thanks,
> Indranil
>

---

From: "Kudachi, Deepak S" <[email-masked]>
Date: Tue, 31 Jan 2012 05:14:44 +0000

Hi,

I guess it should be All host Query which needs to be considered for querier election and not group specific query
Some vendors may support their own proprietary  features like forced fast leave in this case non querier may send  single
GSQ on specific port to find any host interested for that group this should not be considered for querier election.

RFC does not mention any thing about this AHQ/GSQ/GSSQ.(let me know if you find anything related to this).

Rgds
Deepak

From: [email-masked] [mailto:[email-masked]] On Behalf Of Indranil Bhattacharya
Sent: Tuesday, January 31, 2012 8:57 AM
To: [email-masked]
Subject: [magma] Querier transition based on Group Specific Query?

Hi,

   In the querier transition state machine, RFC 2236 only mentions 'Query' and does not specify GQ or GSQ. Can a querier transition take place based on GSQ? Or is it okay to for a querier to ignore GSQ? Can anyone please help me with this?

Thanks,
Indranil

---

From: Bharat Joshi <[email-masked]>
Date: Tue, 31 Jan 2012 16:33:22 +0530

Hi Indranil,

         I think a router should always be looking at general queries.

         This is what is available in RFC 2236:

   The following three events can cause the router to change states:

   - "query timer expired" occurs when the timer set for query
     transmission expires.

   - "query received from a router with a lower IP address" occurs when
     an IGMP Membership Query is received from a router on the same
     network with a lower IP address.

   - "other querier present timer expired" occurs when the timer set to
     note the presence of another querier with a lower IP address on the
     network expires.

<<<

     The second point clearly says that it should be an "IGMP Membership Query" which can trigger a change in querier state.

Regards,
Bharat
________________________________________
From: [email-masked] [[email-masked]] On Behalf Of Indranil Bhattacharya [[email-masked]]
Sent: Tuesday, January 31, 2012 8:56 AM
To: [email-masked]
Subject: [magma] Querier transition based on Group Specific Query?

Hi,

Thanks,
Indranil

**************** CAUTION - Disclaimer *****************
This e-mail contains PRIVILEGED AND CONFIDENTIAL INFORMATION intended solely 
for the use of the addressee(s). If you are not the intended recipient, please 
notify the sender by e-mail and delete the original message. Further, you are not 
to copy, disclose, or distribute this e-mail or its contents to any other person and 
any such actions are unlawful. This e-mail may contain viruses. Infosys has taken 
every reasonable precaution to minimize this risk, but is not liable for any damage 
you may sustain as a result of any virus in this e-mail. You should carry out your 
own virus checks before opening the e-mail or attachment. Infosys reserves the 
right to monitor and review the content of all messages sent to or from this e-mail 
address. Messages sent to or from this e-mail address may be stored on the 
Infosys e-mail system.
***INFOSYS******** End of Disclaimer ********INFOSYS***

---

From: Indranil Bhattacharya <[email-masked]>
Date: Tue, 31 Jan 2012 18:53:31 +0530

Hi Bharat et all,

                      Thanks for your responses. Right, the second point
says it.

Thanks,
Indranil

On Tue, Jan 31, 2012 at 4:33 PM, Bharat Joshi <[email-masked]>wrote:

>     The second point clearly says that it should be an "IGMP Membership
> Query" which can trigger a change in querier state.
>
> Regards,
> Bharat
> From: [email-masked] [[email-masked]] On Behalf Of
> Indranil Bhattacharya [[email-masked]]

---

From: Indranil Bhattacharya <[email-masked]>
Date: Tue, 31 Jan 2012 18:58:16 +0530

Hi Bharat,

              "IGMP Membership Query"query does not mean only General
Query. It means both GQ and GSQ. Anything on this?

Thanks,
Indranil

---

From: Bharat Joshi <[email-masked]>
Date: Tue, 31 Jan 2012 19:00:37 +0530

Hi Indranil,

      Is this defined in an RFC like that? Can you point me to the reference where it says what you mean below?

      I just did a google search on this and few top results for this seems to refer to general query only.

Regards,
Bharat
________________________________________
From: Indranil Bhattacharya [[email-masked]]
Sent: Tuesday, January 31, 2012 6:58 PM
To: Bharat Joshi
Cc: [email-masked]
Subject: Re: [magma] Querier transition based on Group Specific Query?

Hi Bharat,

              "IGMP Membership Query"query does not mean only General Query. It means both GQ and GSQ. Anything on this?

Thanks,
Indranil

On Tue, Jan 31, 2012 at 4:33 PM, Bharat Joshi <[email-masked]<mailto:[email-masked]>> wrote:
Hi Indranil,

        This is what is available in RFC 2236:

<<<

Regards,
Bharat
________________________________________
From: [email-masked]<mailto:[email-masked]> [[email-masked]<mailto:[email-masked]>] On Behalf Of Indranil Bhattacharya [[email-masked]<mailto:[email-masked]>]
Sent: Tuesday, January 31, 2012 8:56 AM
To: [email-masked]<mailto:[email-masked]>
Subject: [magma] Querier transition based on Group Specific Query?

Hi,

Thanks,
Indranil

---

From: Indranil Bhattacharya <[email-masked]>
Date: Tue, 31 Jan 2012 19:24:09 +0530

Hi Bharat,

              RFC 2236, from Section 2.1

0x11 = Membership Query
        There are two sub-types of Membership Query messages:
        - General Query, used to learn which groups have members on an
          attached network.
        - Group-Specific Query, used to learn if a particular group
          has any members on an attached network.

         So Membership Query means both.

Thanks,
Indranil

On Tue, Jan 31, 2012 at 7:00 PM, Bharat Joshi <[email-masked]>wrote:

> Hi Indranil,
>
>      Is this defined in an RFC like that? Can you point me to the
> reference where it says what you mean below?
>
> On Tue, Jan 31, 2012 at 4:33 PM, Bharat Joshi <[email-masked]
> <mailto:[email-masked]>> wrote:
> Hi Indranil,
>
> From: [email-masked]<mailto:[email-masked]> [
> [email-masked]<mailto:[email-masked]>] On Behalf Of
> Indranil Bhattacharya [[email-masked]<mailto:
> [email-masked]>]

---

From: Bharat Joshi <[email-masked]>
Date: Tue, 31 Jan 2012 19:39:10 +0530

Indranil.

       Looks like what you are saying is correct.

       So it seems querier election logic should run when either group-specific queries or general queries are received.

Regards,
Bharat
________________________________________
From: Indranil Bhattacharya [[email-masked]]
Sent: Tuesday, January 31, 2012 7:24 PM
To: Bharat Joshi
Cc: [email-masked]
Subject: Re: [magma] Querier transition based on Group Specific Query?

Hi Bharat,

0x11 = Membership Query

Thanks,
Indranil

On Tue, Jan 31, 2012 at 7:00 PM, Bharat Joshi <[email-masked]<mailto:[email-masked]>> wrote:
Hi Indranil,

Regards,
Bharat
________________________________________
From: Indranil Bhattacharya [[email-masked]<mailto:[email-masked]>]
Sent: Tuesday, January 31, 2012 6:58 PM
To: Bharat Joshi
Cc: [email-masked]<mailto:[email-masked]>
Subject: Re: [magma] Querier transition based on Group Specific Query?

Hi Bharat,

Thanks,
Indranil

On Tue, Jan 31, 2012 at 4:33 PM, Bharat Joshi <[email-masked]<mailto:[email-masked]><mailto:[email-masked]<mailto:[email-masked]>>> wrote:
Hi Indranil,

       This is what is available in RFC 2236:

<<<

Regards,
Bharat
________________________________________
From: [email-masked]<mailto:[email-masked]><mailto:[email-masked]<mailto:[email-masked]>> [[email-masked]<mailto:[email-masked]><mailto:[email-masked]<mailto:[email-masked]>>] On Behalf Of Indranil Bhattacharya [[email-masked]<mailto:[email-masked]><mailto:[email-masked]<mailto:[email-masked]>>]
Sent: Tuesday, January 31, 2012 8:56 AM
To: [email-masked]<mailto:[email-masked]><mailto:[email-masked]<mailto:[email-masked]>>
Subject: [magma] Querier transition based on Group Specific Query?

Hi,

Thanks,
Indranil